Bug 96561 - Fails to import CSV file created with CsvHelper
Summary: Fails to import CSV file created with CsvHelper
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
5.0.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CSV-Import
  Show dependency treegraph
 
Reported: 2015-12-17 16:02 UTC by f.ricolfe
Modified: 2020-07-21 03:47 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Sample file y cant import with LibreOffice Calc (767 bytes, application/vnd.ms-excel)
2015-12-17 16:02 UTC, f.ricolfe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description f.ricolfe 2015-12-17 16:02:59 UTC
Created attachment 121369 [details]
Sample file y cant import with LibreOffice Calc

Error importing csv, if some field contains \0 characteres.

In the sample file, the row 7 (8 if including header), contains \0 characters at end of first field.

This is nos iterpreted properly, and the rows dont match.

This file, import properly in Excel (windows and mac), and in C# program, using CsvHelper (nuget package)

The sample file is generated using CsvHelper
Comment 1 Andreas B. 2015-12-19 12:48:14 UTC
I checked it with LibreOffice 5.0.3.2 on Linux.

Confirmed.
At the line with the \0, the \n\r is interpreted, as would it be within qoutes, and kept in the cell E7, instead of creating a new row. (For this cell are no quotes.)

If I remove the \0, the file is displayed correctly.

I looked at https://tools.ietf.org/html/rfc4180

It seems this CSV file is valid.
Comment 2 QA Administrators 2017-01-03 19:51:00 UTC Comment hidden (obsolete)
Comment 3 vihsa 2017-06-01 08:14:28 UTC
reproducible with lo viewer version: 5.5.0.0.alpha0+ / build id : ec79f34 / android 5.1
Comment 4 QA Administrators 2018-07-21 02:39:36 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2020-07-21 03:47:31 UTC
Dear f.ricolfe,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug